<template>
  <svg viewBox="0 0 10 10" xmlns="http://www.w3.org/2000/svg" :style="getStyle()">
    <g >
      <g :transform="getScale()" stroke="#909090" >
        <line x1="0" y1="0" x2="5" y2="0" :stroke-width="1/(this.index+1)"/>
        <line x1="0" y1="10" x2="5" y2="10" :stroke-width="1/(this.index+1)"/>
        <line x1="5" y1="0" x2="5" y2="10" />
        <line x1="5" y1="5" x2="10" y2="5" :stroke-width="0.5/(this.index+1)"/>
      </g>
    </g>

  </svg>
</template>

<script>

  const DEPTH_HEIGHT = [ 58,  116, 230, 440];
  const DEPTH_MARGIN = [ 0,   31,  87, 193];
  const DEPTH_SCALE = [ 0.3, 0.15, 0.075, 0.033, 0.018 ];


  const getHeight = (depth)=>{
    if(depth >= DEPTH_HEIGHT.length) return 0;
    return DEPTH_HEIGHT[depth];
  };
  const getMargin = (depth)=>{
    if(depth >= DEPTH_MARGIN.length) return 0;
    return DEPTH_MARGIN[depth];
  };

  export default {
    name: "Binder",
    components: {},
    props: {
      index: Number,
    },

    methods: {
      getScale(){
        let factor = 0;
        if(this.index > DEPTH_SCALE.length) factor =  0;
        else factor = DEPTH_SCALE[this.index];

        return `scale(${factor},1)`;
      },
      getStyle(){
        return `margin-top: -${getMargin(this.index)}px; height: ${getHeight(this.index)}px;`;
      }
    }

  };
</script>

<style scoped>

  svg{
    margin-left: -0.5em;
    position: absolute;
  }

</style>
